import { MongoClient } from 'mongodb';
import { Database, SeederDatabaseConfig, SeederDatabaseConfigObject } from '.';
export declare class DatabaseConnector {
    static DEFAULT_DB_NAME: string;
    static DEFAULT_RECONNECT_TIMEOUT_MILLIS: number;
    static SLEEP_INTERVAL_MILLIS: number;
    client?: MongoClient;
    reconnectTimeoutMillis: number;
    constructor(reconnectTimeoutMillis?: number);
    connect(config: SeederDatabaseConfig): Promise<Database>;
    connectWithUri(dbConnectionUri: string, dbName: string): Promise<Database>;
    close(): Promise<void>;
    getDbConnectionUri({ protocol, host, port, name, username, password, }: SeederDatabaseConfigObject): string;
    getDbName(dbConnectionUri: string): string;
}
