"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Rewrites `id` property to `_id` for every document
const replaceDocumentIdWithUnderscoreId = (collection) => {
    const documents = collection.documents.map((document) => {
        if (typeof document.id === 'undefined') {
            return document;
        }
        const documentToInsert = Object.assign({}, document, { _id: document.id });
        delete documentToInsert.id;
        return documentToInsert;
    });
    return Object.assign({}, collection, { documents });
};
exports.DefaultTransformers = {
    replaceDocumentIdWithUnderscoreId,
};
//# sourceMappingURL=transformer-functions.js.map